## visad.browser
Class ContourWidget.ContourRangeSlider

    java.lang.Object
      java.awt.Component
          visad.browser.RangeSlider
              visad.browser.ContourWidget.ContourRangeSlider

All Implemented Interfaces:
  EventListener, ImageObserver, MenuContainer, MouseListener, MouseMotionListener, Serializable

Enclosing class:
  ContourWidget

class ContourWidget.ContourRangeSlider
extends RangeSlider

Subclass of RangeSlider for selecting min and max values.

Nested Class Summary

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class visad.browser.RangeSlider
`DEFAULT_NAME, FONT_BOTTOM_Y, FONT_HEIGHT, FONT_TOP_Y, GRIP_BOTTOM_Y, GRIP_HEIGHT, GRIP_MIDDLE_Y, GRIP_TOP_Y, GRIP_WIDTH, lSlideMoved, maxGrip, maxLimit, maxSize, maxValue, minGrip, minLimit, minSize, minValue, prefSize, rSlideMoved, SLIDER_LINE_HEIGHT, SLIDER_LINE_WIDTH, SLIDER_PREF_HEIGHT, SLIDER_PREF_WIDTH, textChanged`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`(package private)` `ContourWidget.ContourRangeSlider(float min, float max, ContourWidget parent)` Constructs a new range slider for the contour widget.

Method Summary
`void` `valuesUpdated()` Tells parent when the values have changed.

Methods inherited from class visad.browser.RangeSlider
`getMaximumSize, getMinimumSize, getMinMaxValues, getPreferredSize, gripToValue, main, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, paint, repaint, resetValues, setBounds, setBounds, setMaximumSize, setMinimumSize, setName, setPreferredSize, setValues, valueToGrip`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContourWidget.ContourRangeSlider

    ContourWidget.ContourRangeSlider(float min,
                                     float max,
                                     ContourWidget parent)

  Constructs a new range slider for the contour widget.

Method Detail

### valuesUpdated

    public void valuesUpdated()

  Tells parent when the values have changed.

  Overrides:
    `valuesUpdated` in class `RangeSlider`